Ubuntu

"Internal Error ...google-chrome-stable_current_amd64.deb could not be opened"

Reported by Mark Embling on 2011-10-05
248
This bug affects 56 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Unassigned
Oneiric
Medium
Unassigned

Bug Description

Double-clicking the latest version of Google's Chrome .deb file (x64) results in Software Center (eventually) loading and displaying the following:

Internal Error
The file "/home/.../google-chrome-stable_current_amd64.deb" could not be opened.

The expected result was that the deb file would open and the option to install would be shown.

See also bug 858246, the same error for the Opera .deb.

For different errors when installing the Google Chrome .deb, see:
- bug 696282 (asks for authentication, then freezes)
- bug 869683 (Dependency is not satisfiable: libnspr4-0d (>= 4.7.3-0ubuntu1~))
- bug 876677 (Wrong architecture 'amd64').

Using 11.10 Beta 2:
Description: Ubuntu oneiric (development branch)
Release: 11.10
software-center version 5.0

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: software-center 5.0
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
ApportVersion: 1.23-0ubuntu2
Architecture: amd64
Date: Wed Oct 5 09:54:04 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110921.2)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: software-center
UpgradeStatus: No upgrade log present (probably fresh install)

Mark Embling (markembling) wrote :
Robert Roth (evfool) wrote :

Thank you for taking the time to report this bug. Could you please run software-center from terminal and see if it displays some errors?

Changed in software-center (Ubuntu):
status: New → Incomplete
Mark Embling (markembling) wrote :

I did so and this is the output - nothing particularly error-like there unfortunately.

mark@mark-VirtualBox:~/Downloads$ software-center google-chrome-stable_current_amd64.deb
2011-10-05 15:57:57,622 - softwarecenter.ui.gtk3.em - INFO - EM's: 17 15 21
2011-10-05 15:58:01,475 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2011-10-05 15:58:01,590 - softwarecenter.ui.gtk3.utils - INFO - Softwarecenter style provider for ambiance Gtk theme: /usr/share/software-center/ui/gtk3/css/softwarecenter.css
2011-10-05 15:58:06,186 - softwarecenter.ui.gtk3.app - INFO - software-center-agent finished with status 0

Michael Hamer (mike-k-hamer) wrote :

This same bug also occurs for me when I try to install the 32 bit .deb file.

Michael Vogt (mvo) wrote :

I downloaded google-chrome-stable and tried to reproduce this. I got a window that says:

"""
Conflicts with the installed package 'google-chrome-beta'
"""

With a active install button but hitting that is doing nothing. Is that what you see as well?

Michael Vogt (mvo) wrote :

The error message needs to be more prominent and the install button must be disalbed.

Changed in software-center (Ubuntu):
importance: Undecided → Medium
summary: - Software Center cannot open external .deb file
+ Software Center cannot open external .deb file goog-echrome-stable

@Michael: no, I see a window with no buttons (or anything really), just with the message as before. I don't have any form of Chrome installed (beta or otherwise) - its a fresh install of 11.10 beta 2.

I'd guess the problem you are having is something different.

summary: - Software Center cannot open external .deb file goog-echrome-stable
+ Software Center cannot open external .deb file google-chrome-stable

I've been getting this problem with Oneiric ever since Beta 1. 11.10 releases in three days and I still haven't been able to get my preferred browser running on this machine due to this bug. Considering that Google Chrome is pretty popular, there will be major issues if this doesn't get fixed soon. For now, all I get is the same error message shown in Mark's screenshot.

A workaround I just found: use apt-get to install libnspr4-0d and libxss1 (Chrome depends on these), then use dpkg -i to install the downloaded .deb file for Chrome.

Peter Smit (peter-smitmail) wrote :

A nicer workaround is to do:

dpkg -i google-chrome-stable_current_amd64.deb
and
apt-get -f install

which makes apt-get install the depencies and configure google chrome

I am also affected by this bug, see also http://askubuntu.com/q/64384/1418

Robert Roth (evfool) on 2011-10-10
Changed in software-center (Ubuntu):
status: Incomplete → Confirmed

I have had this issue also.
I'm usning amd64 version.

Just today I was testing the daily build and I noted that I can install from the live session but not after installing to HDD. I have a separate / and /home partitions as logicals inside an extended partition.

I tried reinstalling and unchecking the 'encrypt home directory' option and now i can install chrome, opera and other debs.

I reinstalled and checked the 'encrypt home directory' option and again i get the 'Internal error. the file ***.deb could tot be opened.

It's not so much an Ubuntu software center issue because it also happens with gdebi. I have tried 'gksu gdebi-gtk' and the issue is still the same.
It seems that the issue is quite popular and i think bug reports 858246 854164 869685 868188 are duplicated of the same.

So, short version:
It happens on amd64 and
with thome directory encrypted.

Can you confirm this???

Mark Embling (markembling) wrote :

@Miguel Fernandez: Sorry, I can confirm this is **not** the case.

I have had this issue appearing on two machines (Dell laptop and VirtualBox VM). Both 64bit, but neither have the home directories encrypted. A red herring there I'd say.

My sole Oneiric install is 64-bit and using an encrypted home directory, so I cannot check this. I plan on doing the same setup for my laptop (upgrading) this weekend after the final release is made.

Sorry.

I tried again this evening and now I cannot rproduce what I tought I had got first.

I still cannot install even in an unencrypted folder.

The live sessions are ok, btw.

So, nevermind.

And good luck to the ones trying to fix this.

can confirm this on a fresh oneiric release on both 64-bit and 32-bit, no encrypted homedir. Freshly install the OS, download google chrome stable and try to double click on it; as reported above, software centre opens and shows that message and no offered actions to resolve the situation.

I managed to get it installed through a lot of messing about with synaptic. (next and last machine to install, i try the dpkg -i <debfile> ; apt-get -f install method above.)

Clearly software center should be able to do this and resolve the dependencies.

To reproduce: Freshly install oneiric desktop; try to install google chrome by downloading and opening the debfile from google. seems completely repeatable.

Andrew Szeto (umuntucne) wrote :

Confirmed for me as well on a fresh install of 11.10. A typical user will simply double click the .deb file downloaded from http://google.com/chrome and get this window (see attachment) in lieu of the usual Ubuntu Software Center screen. Problem is solved by using the `sudo dpkg -i google-chrome-stable_current_amd64.deb && sudo apt-get -f install` trick, but I don't want to resort to that to get it working.

summary: - Software Center cannot open external .deb file google-chrome-stable
+ "Internal Error ...google-chrome-stable_current_amd64.deb could not be
+ opened"
description: updated
description: updated
description: updated
Grzegorz Śliwiński (fizyk) wrote :

ruario at my Opera community (an Opera employee) has made research and he determined that at least for Opera deb file, the issue is with lzma not beeing present in default Ubuntu install.
Here's the full discussion and ruario's research's conclusion:

http://my.opera.com/community/forums/topic.dml?id=1124872&t=1318873023&page=1#comment10564932

Michael Vogt (mvo) wrote :

Thanks for the detailed diagnosis. This is indeed the catch, the missing lzma in the default install. I will add a recommends against software-center to ensure that it will be available.

Changed in software-center (Ubuntu):
status: Confirmed → In Progress
Changed in software-center (Ubuntu Oneiric):
status: New → In Progress
importance: Undecided → Medium
ruario (e-launchpad-ruari-com) wrote :

You might want to merge this and the bug logged for opera 858246 as they are the same underlying issue

ruario (e-launchpad-ruari-com) wrote :

Will a Recommends lzma be enough to actually install it without any user interaction? Is the default in Ubuntu now to install Recommends by default?

Doug McMahon (mc3man) wrote :

Just to note - this also affects gdebi, installing lzma fixes there also

Hello Mark, or anyone else affected,

Accepted software-center into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in software-center (Ubuntu Oneiric):
status: In Progress → Fix Committed
tags: added: verification-needed
Michael Vogt (mvo) wrote :

@Ruario: Ubuntu is installing (new) recommends by default. If you have "broken" recommends for existing packages apt will ignore that (i.e. if you have a pkg P that recommends A already installed it will not complain if A is not there. But you can make it install it with "apt-get install --fix-policy")

Mark Embling (markembling) wrote :

The fix certainly seems to have worked for me. :) Awesome.

tags: added: verification-done
removed: verification-needed
ruario (e-launchpad-ruari-com) wrote :

Just a quick comment. When testing don't use an Opera package to verify as we updated our stable packages to use bzip2 compression in the mean time, whilst we await this fix making its way down to regular users.

Mark Embling (markembling) wrote :

To follow up on the above note: I used the exact same Google Chrome deb file I previously downloaded which previously failed. This means we can be 100% certain that Google haven't tweaked anything in their latest debs or anything which would have changed the result (I doubt they did, but still...).

ruario (e-launchpad-ruari-com) wrote :

Ok, I may be doing something wrong or misunderstanding something and if so please point it out to me but this fix doesn't seem to work for me.

I enabled oneiric-proposed via "Ubuntu Software Center→Edit→Software Sources→Updates". Then I ran Update Manager, which found found an update to Software Center (amongst other things). I then installed all updates. After this was finished I was still unable to install an lzma compressed deb and I notice that the lzma package is not installed.

P.S. Surely the best way to fix this would not be to add any more dependencies to Software Center (which bloats the system) but rather to have Software Center use xz to read lzma compressed data if lzma is not available. This is what other utilities like tar and dpkg do, which explains why people could work around this issue by installing via the command line and did not need to install lzma to get this to work with dpkg.

ruario (e-launchpad-ruari-com) wrote :

Ok, worked this out. My /etc/apt/sources.list contained:

deb http://no.archive.ubuntu.com/ubuntu/ oneiric-proposed restricted main multiverse universe

I changed this to:

deb http://archive.ubuntu.com/ubuntu/ oneiric-proposed restricted main multiverse universe

and I got further updates. This time with lzma. ;) So it seems the Norwegian mirror was just a little behind.

So, yes the fix works for me as well! :) Sorry for the confusion.

P.S. I still think having Software Center use xz to open lzma compressed data would be neater but at least the current solution fixes the problem.

ruario (e-launchpad-ruari-com) wrote :

One more comment (hope people are not getting bored of me). If you do want to go down the dependency route, you could have the recommend be the xz-lzma package rather than the lzma package. The difference being that xz-lzma does not include any new binaries itself but rather is a set of symlinks pointing to the xz binaries. Wereas the lzma package installs the older lzma utils, which are no longer actively maintained (note: the upstream maintainer of lzma utils is the same as xz utils. He considers xz to be the replacement for lzma, which is why it is backwards compatible in the first place).

Matthew Paul Thomas (mpt) wrote :

Thanks again ruario for your detailed research. I've reported your suggestion for a better dependency as bug 878354.

thanks ruario

On 19 October 2011 13:32, Launchpad Bug Tracker
<email address hidden>wrote:

> ** Branch linked: lp:ubuntu/oneiric-proposed/software-center
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (858246).
> https://bugs.launchpad.net/bugs/868188
>
> Title:
> "Internal Error ...google-chrome-stable_current_amd64.deb could not be
> opened"
>
> Status in “software-center” package in Ubuntu:
> In Progress
> Status in “software-center” source package in Oneiric:
> Fix Committed
>
> Bug description:
> Double-clicking the latest version of Google's Chrome .deb file (x64)
> results in Software Center (eventually) loading and displaying the
> following:
>
> Internal Error
> The file "/home/.../google-chrome-stable_current_amd64.deb" could not be
> opened.
>
> The expected result was that the deb file would open and the option to
> install would be shown.
>
> See also bug 858246, the same error for the Opera .deb.
>
> For different errors when installing the Google Chrome .deb, see:
> - bug 696282 (asks for authentication, then freezes)
> - bug 869683 (Dependency is not satisfiable: libnspr4-0d (>=
> 4.7.3-0ubuntu1~))
> - bug 876677 (Wrong architecture 'amd64').
>
> Using 11.10 Beta 2:
> Description: Ubuntu oneiric (development branch)
> Release: 11.10
> software-center version 5.0
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: software-center 5.0
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic x86_64
> ApportVersion: 1.23-0ubuntu2
> Architecture: amd64
> Date: Wed Oct 5 09:54:04 2011
> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110921.2)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=en_GB:en
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> SourcePackage: software-center
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/software-center/+bug/868188/+subscriptions
>

Mahmoud Al Jariri (m-jariri) wrote :

fixes By this steps:
1- install dependencies: sudo apt-get install libnspr4-0d libnss3-1d libxss1 libcurl3
2- Install Google Chrome: sudo dpkg -i /home/YOUR USERNAME/Downloads/google-chrome-stable_current_i386.deb
3- Done :) Enjoy

Matthew Paul Thomas (mpt) wrote :

Mahmoud, that's bug 869683, it is not this bug.

Conner Lee (connerleecml) wrote :

Mahmoud's solution works for me. Thanks Mahmoud.

For your information, Opera circumvented the problem by changing the compression method used in their latest release.

http://www.opera.com/docs/changelogs/unix/1152/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.0.2

---------------
software-center (5.0.2) oneiric-proposed; urgency=low

  [ Matthew McGowan ]
  * lp:~mmcg069/software-center/bug861778:
    - improved method, use less widgets and fix case where user
      changes sort method in a search results list (LP: #861778)
  * lp:~mmcg069/software-center/dialog-improvements:
    - improve the widget packing of the submit_review dialog
    - make the dialog-dep-warning dialog neither closable or maximisable
      as per bug LP: #844025
    - make dialog-dependency-alert dialog use a gtkgrid instead of
      gtktable to fix overly big spacing
  * lp:~mmcg069/software-center/container-frame-render-fix:
    - remove the use a clip -> provide a fix for blurry font
      rendering LP: #864855

  [ Michael Vogt ]
  * test/gtk3/test_appview.py:
    - add regression test for bug #861778
  * test/gtk3/test_dialogs.py:
    - add basic test for dependency dialogs
  * softwarecenter/ui/gtk3/dialogs/dependency_dialogs.py:
    - simplfy test setup code
  * softwarecenter/backend/channel_impl/aptchannels.py:
    - delay channel update check 10s to improve startup time
  * softwarecenter/ui/gtk3/widgets/exhibits.py:
    - add workaround for rendering bug of the webkit offscreen window
      that leaves a 8px border around the image
  * debian/control:
    - update Vcs-Bzr to point to the 5.0 branch
    - add "lzma" to the recommends to ensure that opening opera and
      chrome debs works (LP: #868188). python-apt is expecting to
      have a helper that can be called with "lzma -d" to open these
      debs.

  [ Kiwinote ]
  * softwarecenter/db/update.py,
    softwarecenter/enums.py,
    softwarecenter/ui/gtk3/models/appstore2.py:
    - make apps from the canonical store appear in the categories (LP: #874330)
  * softwarecenter/ui/gtk3/panes/availablepane.py:
    - when search is cleared, don't navigate back to lobby if we're in a
      channel view (LP: #875786)
  * softwarecenter/ui/gtk3/panes/viewswitcher.py:
    - don't inherit state.category or state.subcategory upon channel selection
  * softwarecenter/ui/gtk3/views/appdetailsview_gtk.py:
    - fix UnicodeDecodeError in _update_pkg_info_table() (LP: #868834)
      this indirectly makes banners work again in certain locales (LP: #873078)

  [ Robert Roth ]
  * Only catch button release in exhibit if button was also pressed on
    exhibit (LP: #875043)

  [ Gary Lasker ]
  * softwarecenter/db/update.py:
    - fix reinstall previous purchases functionality for locales
      that require unicode (LP: #873917)
  * setup.py:
    - force 11.10 as the release as this is the target
      version of 5.0
 -- Michael Vogt <email address hidden> Tue, 18 Oct 2011 17:43:01 +0200

Changed in software-center (Ubuntu Oneiric):
status: Fix Committed → Fix Released

Tried it in Oneiric (11.10) and the same problem appears for the 32 bit .deb file for the latest stable release.

Had to use:

sudo apt-get install libxss1 libcurl3

and the chrome package installed.

Prokhor Egorov (trycatchwiki) wrote :

Ubuntu 12.04, fresh (almost) install on the VirtualBox, USC 5.2, xz-lzma is installed, but the bug is still here. If USC is closed, and you run "software-center /home/.../google-chrome-stable_current_amd64.deb" in the terminal -- everything is fine. But if you open the sotware center, and then trying to run the same command in the terminal (or double-click on the file in Nautilus, or whatever), it fails with this "Internal error: the file could not be opened" thing.

tags: added: precise
Rodney Dawes (dobey) wrote :

This is working fine in 13.10. May be related to the recently fixed "requires network to install local .debs" bug.

Changed in software-center (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers